Page({
  selectRegularUser() {
    // 设置用户角色为普通用户
    wx.setStorageSync('userRole', 'RegularUser');

    // 跳转到普通用户首页
    wx.switchTab({
      url: '/pages/Home/Home', // 普通用户首页
    });
  },

  selectAdmin() {
    // 设置用户角色为管理员
    wx.setStorageSync('userRole', 'Admin');

    // 跳转到管理员首页
    wx.navigateTo({
      url: '/shoping/threshold/threshold', // 管理员首页
    });
  }
});
